import styled from 'styled-components'

const Button = styled.button`
font-size: 1em;
font-weight: bold;
color: ${props=>props.disabled?props.theme.colours.color1:props.theme.colours.color3};
display: inline-block;
padding: 0.3em 0.5em;
border: solid .1em ${props=>props.disabled?props.theme.colours.color7:props.theme.colours.color3};
background: ${props=>props.disabled?props.theme.colours.color9:props.theme.colours.color4};
transition: ease-in-out 225ms;
&:hover{
    background-color: ${props=>props.disabled?props.theme.colours.color9:props.theme.colours.color3};
    color: ${props=>props.disabled?props.theme.colours.color1:props.theme.colours.color6};
    border: solid .1em ${props=>props.disabled?props.theme.colours.color7:props.theme.colours.color10};
    text-shadow: 0 0  .2em  ${props=>props.disabled?"transparent":props.theme.colours.color9};
}
`;



export default Button
